QGIS Application - Feature request #3303
Expression builder for rule based styling.
2010-12-07 05:32 AM - Nathan Woodrow

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: GUI

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13363
Description

It would be cool to have the some kind of expression builder next to the rule entry text box for the rule based styling. The one used for the
query builder would be perfect.

Would make it easier to write expression rather then having to remember the column names and values.

History

#1 - 2010-12-08 11:00 PM - Nathan Woodrow

Attached is a patch to add an expression builder to the new rule dialog. Uses the query string builder dialog as it already had all the functions needed.

#2 - 2010-12-09 10:30 AM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

Patch applied in commit:d1438490 (SVN r14879) - thanks, Nathan! | have added your name to the list of contributors.

Files

RuleExpressionBuilder.patch 2.64 KB 2010-12-08 Nathan Woodrow
